No device in Manager

Hello, I’m having difficulty getting my Particle Photon to show in Zerynth Studio Device Management Toolbar. I’m using Ubuntu 18.04 and am able to get Zernyth started, but the device isn’t shown as connected.

There are a few things of note:

./zerynth starts the studio but leaves an error in terminal saying
[3890:3890:0701/152833:ERROR:desktop_window_tree_host_x11.cc(927)] Not implemented reached in virtual void views::DesktopWindowTreeHostX11::InitModalType(ui::ModalType)

This lead me to a post showing I need to set locales to ‘en_US-UTF-8’ but this is already done.
https://community.zerynth.com/t/ubuntu-19-04-installation-issues/2447

I have the Photon in DFU mode, added my user to Dialout group, and added udev rules from here
https://docs.zerynth.com/latest/official/board.zerynth.particle_photon/docs/index.html

Though I feel there might be an issue with the name of this rules file, which I saw in a thread here to name it 99-viper.rules. I’m not sure if this needs to be changed since the thread was over 5 years ago.
https://community.zerynth.com/t/help-to-install-on-linux/602/5

Any help would be much appreciated.

Hi @brian1
I need some information to debug this.
When you plug in the device, could you execute this command ( in DFU modes) and post the output:
ztc device discover

Karim,

Thanks for getting back to me. Here’s the output from ./ztc device discover

vid    pid    sid                     uid                                       port    disk    desc
-----  -----  ----------------------  ----------------------------------------  ------  ------  -----------------------------------------------------------------
0003   046D   0003:0000046D:0000C07D  5c90a4faf12b717a6b2fd29f2b5491107041d3f5                  Logitech Gaming Mouse G502
1D6B   0003   0000:07:00.3            95362c88bee23d6e4a89d979726f8a7e8a800803                  Linux_5.3.0-62-generic_xhci-hcd_xHCI_Host_Controller_0000:07:00.3
1D6B   0002   0000:01:00.0            28e8f3d7794b0252645dc301ae17ca312b04d453                  Linux_5.3.0-62-generic_xhci-hcd_xHCI_Host_Controller_0000:01:00.0
0003   2516   0003:00002516:00000051  e2e589d9b4ba167b8ba8876c2bd79cf5f983d0fc                  Cooler Master Technology Inc. AMD SR4 lamplight Control
1D6B   0003   0000:01:00.0            47324885a6ca4eebb3108f3213903595001159af                  Linux_5.3.0-62-generic_xhci-hcd_xHCI_Host_Controller_0000:01:00.0
0003   046D   0003:0000046D:0000408A  663e03194ba611478c61be579abc7cc352ff05b7                  Logitech MX Keys
1D6B   0002   0000:07:00.3            b1b783a33db87246f868f69d19dc7315a9e9c57e                  Linux_5.3.0-62-generic_xhci-hcd_xHCI_Host_Controller_0000:07:00.3
046D   C52B   no_sid                  47a0d2e25a7428ecb861dcf5b39ccf18d5b10fe7                  Logitech_USB_Receiver
2516   0051   no_sid                  335b9fc7c25e295e342ed0499ba8f40ad0ff72a9                  Cooler_Master_Technology_Inc._AMD_SR4_lamplight_Control
0003   046D   0003:0000046D:0000C52B  2ec60e42b1ec7c395186bc53f17e2de39ab2eb88                  Logitech USB Receiver
046D   C07D   0470337A3835            8ae4ee7608662a70e80c74f96749ae8625cdafe9                  Logitech_Gaming_Mouse_G502_0470337A3835

So I have 3 particle photons and 2 of them showed red fast blinking lights on startup which appears to be SOS. I was able to get both of those devices into DFU mode.

The third device was blinking green trying to connect to Wifi, I was also able to get this into DFU mode.
https://docs.particle.io/tutorials/device-os/led/photon/>
However I ran ./ztc device discover for all three of these in DFU mode and there was no changes from the output above.

–update–
I’ve also installed particle-cli and DFU-util and that still doesn’t recognize any of the photons in DFU mode as connected USB devices and I know the usb ports work, so I’m thinking there is something I haven’t set up correctly with my environment to see these devices.

the device is not recognized by the OS, either this is a mis-configuration of the drivers, a permissions and udev problem or a faulty device.
Could you open a serial communication with any device like putty?, if not try to re-install the drivers, check the permissions and the udev rules for the device.

It appears to have been a wire issue. Photon is now showing up in Zernyth.

Though now I’m receiving registration errors. After registration hits File downloaded successfully it resets the Photon and kicks it out of DFU mode, then starts the attempt 1 parts. I’m not sure it’s supposed to do this, I’ve tried to put it back into DFU mode fast enough before it errors out but I got a different error [error] Can't find this device alter ego!.

Device info (non DFU) shows port /dev/ttyACM0 and only Disk has a None value. in DFU mode there is None values for Disk and Port. Not sure if that means anything… Got to admit after spending so much time on this I feel like I’m kind of just fumbling through this and not understanding anything.

[info] Starting device registration
[info] Burning bootloader...
[info] Burning bin
[info] dfu-util 0.8
[info] 
[info] Copyright 2005-2009 Weston Schmidt, Harald Welte and OpenMoko Inc.
[info] Copyright 2010-2014 Tormod Volden and Stefan Schmidt
[info] This program is Free Software and has ABSOLUTELY NO WARRANTY
[info] Please report bugs to dfu-util@lists.gnumonks.org
[info] 
[info] dfu-util: Invalid DFU suffix signature
[info] dfu-util: A valid DFU suffix will be required in a future dfu-util release!!!
[info] Opening DFU capable USB device...
[info] ID 2b04:d006
[info] Run-time device DFU version 011a
[info] Claiming USB DFU Interface...
[info] Setting Alternate Setting #0 ...
[info] Determining device status: state = dfuIDLE, status = 0
[info] dfuIDLE, continuing
[info] DFU mode device DFU version 011a
[info] Device returned transfer size 4096
[info] DfuSe interface name: "Internal Flash   "
[info] Downloading to address = 0x08020000, size = 133120
[info] 
[info] Download [                         ]   0%            0 bytes
[info] Download [                         ]   0%            0 bytes
[info] Download [=                        ]   6%         8192 bytes
[info] Download [==                       ]   9%        12288 bytes
[info] Download [===                      ]  12%        16384 bytes
[info] Download [====                     ]  18%        24576 bytes
[info] Download [=====                    ]  21%        28672 bytes
[info] Download [======                   ]  24%        32768 bytes
[info] Download [=======                  ]  30%        40960 bytes
[info] Download [========                 ]  33%        45056 bytes
[info] Download [=========                ]  36%        49152 bytes
[info] Download [==========               ]  40%        53248 bytes
[info] Download [===========              ]  46%        61440 bytes
[info] Download [============             ]  49%        65536 bytes
[info] Download [=============            ]  52%        69632 bytes
[info] Download [==============           ]  58%        77824 bytes
[info] Download [===============          ]  61%        81920 bytes
[info] Download [================         ]  64%        86016 bytes
[info] Download [=================        ]  70%        94208 bytes
[info] Download [==================       ]  73%        98304 bytes
[info] Download [===================      ]  76%       102400 bytes
[info] Download [====================     ]  80%       106496 bytes
[info] Download [=====================    ]  86%       114688 bytes
[info] Download [======================   ]  89%       118784 bytes
[info] Download [=======================  ]  92%       122880 bytes
[info] Download [======================== ]  98%       131072 bytes
[info] Download [=========================] 100%       133120 bytes
[info] Download done.
[info] File downloaded successfully
[info] attempt 1
[info] attempt 2
[info] attempt 3
Traceback (most recent call last):
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py", line 468, in read
    buf = os.read(self.fd, size-len(read))
BlockingIOError: [Errno 11] Resource temporarily unavailable
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/home/brian/.zerynth2/dist/r2.5.2/ztc/ztc.py", line 114, in 
    cli()
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 716, in __call__
    return self.main(*args, **kwargs)
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 696, in main
    rv = self.invoke(ctx)
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 1060, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 1060, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 889, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/click/core.py", line 534, in invoke
    return callback(*args, **kwargs)
  File "/home/brian/.zerynth2/dist/r2.5.2/ztc/devices/devcmd.py", line 319, in register
    res,chipid = _extract_chipid_from_serial(tgt)
  File "/home/brian/.zerynth2/dist/r2.5.2/ztc/devices/devcmd.py", line 227, in _extract_chipid_from_serial
    line=ch.readline()
  File "/home/brian/.zerynth2/dist/r2.5.2/ztc/base/comm.py", line 149, in readline
    return self.ch.readline().decode("ascii","ignore")
  File "/home/brian/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py", line 480, in read
    if e[0] != errno.EAGAIN:
TypeError: 'BlockingIOError' object is not subscriptable```

Sorry for the late response, I think it is a firmware issue, Let us test this board and look if there are any incompatibility issues with the newer versions of the photon firmware.

1 Like

Coming back to this, is there any updates on this? I still haven’t been able to get it to register.